ChangeSet 1.1254.4.23, 2003/06/04 12:31:45-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/char/watchdog/i810-tco.c


 drivers/char/watchdog/i810-tco.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/char/watchdog/i810-tco.c b/drivers/char/watchdog/i810-tco.c
--- a/drivers/char/watchdog/i810-tco.c	Wed Jun  4 18:10:32 2003
+++ b/drivers/char/watchdog/i810-tco.c	Wed Jun  4 18:10:32 2003
@@ -315,14 +315,14 @@
 
 static unsigned char __init i810tco_getdevice (void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	u8 val1, val2;
 	u16 badr;
 	/*
 	 *      Find the PCI device
 	 */
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		if (pci_match_device(i810tco_pci_tbl, dev)) {
 			i810tco_pci = dev;
 			break;
